Subject: Re: [RFC] per-containers tcp buffer limitation

From: Chris Friesen <[email-masked]>
Date: Thu, 25 Aug 2011 09:05:25 -0600

On 08/25/2011 06:55 AM, Daniel Wagner wrote:

> I'd like to solve a use case where it is necessary to count all bytes
> transmitted and received by an application [1]. So far I have found two
> unsatisfying solution for it. The first one is to hook into libc and
> count the bytes there. I don't think I have to say I don't like this.

Is there any particular reason you can't use LD_PRELOAD to interpose a 
library to do the statistics monitoring?

Chris

-- 
Chris Friesen
Software Developer
GENBAND
[email-masked]
www.genband.com